I'm running SLES11, SP3 w/ Pound 2.4 & Openssl 0.9.8j (latest provided from SUSE). I've finally gotten it through my head that Openssl 0.9.8j doesn't support the cipher
Code:
openssl ciphers -v 'HIGH:!SSLv3:!SSLv2:!aNULL:!RC4' 
Error in cipher list 1239:error:1410D0B9:SSL routines:SSL_CTX_set_cipher_list:no cipher match:ssl_lib.c:1214:
But if I pull out the !SSLv3, replace it w/ a SSLv2, I get a list of ciphers and encryption supported.
HTML Code:
https://www.suse.com/communities/conversations/tls-1-2/
<-that link says that I should be using Mozilla-nss ciphers, but it looks like it's for an Apache setup, which this is not. Also, I can't figure out how to get a cipher out of NSS in the first place, apparently I'm slow.
Anyone else messing with this?
thanks

****, should be poodles suck.